Page MenuHomePhabricator

Add icon for new ‘Match ALL’ filtering method to Suggested edits filter button
Closed, ResolvedPublicDesign

Description

Description

The Growth Team are adding a new filtering option which allows users to choose between ALL filtering or ANY filtering i.e. only show results based on ALL the terms selected, or show results based of ANY of the items selected. See T305408
This has resulted in the need for an icon to differentiate between these two types of filtering.

Scenario:

  1. In the topics filter dialog, three or more topics of interest are selected, and the dropdown is changed from the match any option, to the match *all* option.
  2. Upon closing the dialog, the suggested edits module shows filter to be "3 topics" but doesn't have any other indication it has changed filtering method.
image.png (1×1 px, 178 KB)
image.png (1×1 px, 129 KB)

Since the filter selections are maintained, the next time a person views the suggested edits module, they may not remember/realise why they have less results than expected.

Proposal

Use the current filter icon for ANY, and create a modified icon for ALL which adds a + symbol.

image.png (268×910 px, 22 KB)

SVG (LTR & RTL):

Event Timeline

KieranMcCann created this task.
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
KieranMcCann renamed this task from Create icon to Create icon for new ‘Match ALL’ filtering method.Sep 26 2022, 4:47 PM

@KieranMcCann Process question, will you provide the SVG?

Additionally I'm not convinced about the + marker as 'any' representation. We use the + exclusively as add symbol in our icon collection
https://doc.wikimedia.org/codex/main/icons/all-icons.html

When looking at the origin for the task,

image.png (3×3 px, 662 KB)
is the use of an icon toggle button really favorable for this case?
Feels more noisy than necessary to me.

@KieranMcCann Process question, will you provide the SVG?

Hi @Volker_E - here's the SVG

Additionally I'm not convinced about the + marker as 'any' representation. We use the + exclusively as add symbol in our icon collection
https://doc.wikimedia.org/codex/main/icons/all-icons.html
When looking at the origin for the task,

image.png (3×3 px, 662 KB)
is the use of an icon toggle button really favorable for this case?
Feels more noisy than necessary to me.

This was actually an earlier design that we never deployed, but instead switched to using a dropdown to select the filter mode which I've updated in the description, along with the scenario when this icon will be shown.
The "Funnel+" icon will only be shown as a visual reminder in the Suggested edits module when the filter mode is changed from any to all. I agree with the the original task that it is a minor improvement to have an indicator vs not having one at all.

Sorry, I didn't see the ping until now.
And the + sign is the last call? While I understand the piece about the possible contextual improvement, I'm more concerned about the icon collection consistency here. Growth has a number of one-off icons as well that have not been made part of the icon system (yet). Wondering if that, or a different name, might be better choice.

Sorry, I didn't see the ping until now.
And the + sign is the last call? While I understand the piece about the possible contextual improvement, I'm more concerned about the icon collection consistency here. Growth has a number of one-off icons as well that have not been made part of the icon system (yet). Wondering if that, or a different name, might be better choice.

I would be fine to add this as a Growth only icon for now if getting it into Icon system requires more criteria. As illustrated in the task description it is meant to be an additional visual reminder on the Suggested edits module after the filter mode has been altered to and vs or logic, as there is not pithy and easily translatable way to convey in label.

Basically I do not think it will be harmful to understanding to add it, and we can re-evaluate if this is worth incorporating to DS icon system with more information when the time comes to do so.

For future reference, Growth has 6 bespoke icons, or it could be considered 3 as 4 of them are different variants of Levels:

Screenshot_20221108-114631~2.png (203×1 px, 6 KB)

The other two icons are to indicate a Mentor, and "live updating" respectively. We can talk about what could stay or go in that future work.

@Volker_E +1 to @RHo’s comments.

Also, just to add a bit of context, this proved to be quite a gnarly issue where we needed to find a visual indicator that you are in a different filter mode. I did my best to find an alternative solution, as I do agree that we should avoid adding new icons unnecessarily, but in this instance it really was the only viable solution.

we can re-evaluate if this is worth incorporating to DS icon system with more information when the time comes to do so.

Not completely clear to me, what the action item for the collection is: Adding the icon as 'funnelAdd' or leaving it as one-off?

we can re-evaluate if this is worth incorporating to DS icon system with more information when the time comes to do so.

Not completely clear to me, what the action item for the collection is: Adding the icon as 'funnelAdd' or leaving it as one-off?

I left this open for response as to whether DS would add it the icon. Since it sounds like no, we will only add to Growth for now and I will update the task to remove it from your plate.

RHo renamed this task from Create icon for new ‘Match ALL’ filtering method to Add icon for new ‘Match ALL’ filtering method to Suggested edits filter button.Nov 9 2022, 8:18 PM
RHo removed KieranMcCann as the assignee of this task.
RHo updated the task description. (Show Details)
KMorgan-WMF changed the task status from Open to In Progress.Nov 22 2022, 2:04 PM
KMorgan-WMF claimed this task.

Change 870950 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] Suggested edits: show funnel-add icon when the topic match mode is AND

https://gerrit.wikimedia.org/r/870950

@RHo can you please provide clarification on which icon should show if the mode is set to "match all" but only one topic is selected?

@RHo can you please provide clarification on which icon should show if the mode is set to "match all" but only one topic is selected?

Sure thing @KMorgan-WMF, any time the "Match all" filter method is selected, we should show this new 'funnel+plus' icon.

Change 870950 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Suggested edits: show funnel-add icon when the topic match mode is AND

https://gerrit.wikimedia.org/r/870950

Small issue: we're placing the plus icon when there are no topics selected. Maybe this is just fine since it denotes the "AND" mode is still selected. However since there are no topics selected the operator is not used so maybe it could be less confusing to not use it in this scenario. What do you think @KMorgan-WMF @RHo ?

{F36754425}

Small issue: we're placing the plus icon when there are no topics selected. Maybe this is just fine since it denotes the "AND" mode is still selected. However since there are no topics selected the operator is not used so maybe it could be less confusing to not use it in this scenario. What do you think @KMorgan-WMF @RHo ?

{F36754425}

Thanks for checking @Sgs - as the main purpose of changing to the filter+add icon is to increase affordance to when the "AND" method has been chosen with the filter dialog closed, I think it makes sense to have it it still be shown like now with filter+add icon, even if no topics are selected.

Change 887367 had a related patch set uploaded (by Sergio Gimeno; author: Sergio Gimeno):

[mediawiki/extensions/GrowthExperiments@master] Suggested edits: use existing FiltersButtonGroupWidget update method

https://gerrit.wikimedia.org/r/887367

Change 887367 merged by jenkins-bot:

[mediawiki/extensions/GrowthExperiments@master] Suggested edits: use existing FiltersButtonGroupWidget update method

https://gerrit.wikimedia.org/r/887367

Etonkovidova added a subscriber: Etonkovidova.

Checked in wmf.24:

  • "Match all selected topics" option is selected
three topicstwo topicsone topicno topics selected
Screen Shot 2023-02-23 at 2.35.49 PM.png (286×1 px, 29 KB)
Screen Shot 2023-02-23 at 2.24.07 PM.png (388×1 px, 64 KB)
Screen Shot 2023-02-23 at 2.24.26 PM.png (328×1 px, 32 KB)
Screen Shot 2023-02-23 at 2.29.52 PM.png (310×1 px, 32 KB)
Screen Shot 2023-02-23 at 2.27.23 PM.png (304×1 px, 28 KB)

Moving to Design review for the following questions:

  • the added + denotes the selection of "Match all selected topics" option even when there are no topics selected (as per the comment https://phabricator.wikimedia.org/T318597#8516919). However, when only one topic is selected (or no topics are selected at all) "Match all selected topics" phrasing could possibly misguide users.
  • there is a slight discrepancy in counting topics (when only one topic or no topics are selected)

e.g. On cswiki select Add links between articles+ Sports. The number of available articles will be 1,216 with "Match all selected topics" option and 1,212* with "Match at least one selected topic".

I didn't find examples of big discrepancies, so the issue seems to be minor.

LGTM, thanks all!